Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.metaclass
Class AbstractStaticMethodInvocation

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation

All Implemented Interfaces:
  StaticMethodInvocation

Direct Known Subclasses:
  AbstractStaticPersistentMethod, CreateDynamicMethod

    public abstract class AbstractStaticMethodInvocation

extends Object
implements StaticMethodInvocation

Since:
  Aug 7, 2005
Author:
  Steven Devijver

Constructor Summary
`AbstractStaticMethodInvocation()`

Method Summary
`protected Pattern` | `getPattern()`
`abstract Object` | `invoke(Class clazz, String methodName, Object[] arguments)` Invokes the actual method.
`boolean` | `isMethodMatch(String methodName)` Checks if a method name matches the criteria of the implementation class.
`void` | `setPattern(Pattern pattern)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractStaticMethodInvocation

    public AbstractStaticMethodInvocation()

Method Detail

### setPattern

    public void setPattern(Pattern pattern)

### getPattern

    protected Pattern getPattern()

### isMethodMatch

    public boolean isMethodMatch(String methodName)

  Description copied from interface: `StaticMethodInvocation`

  Checks if a method name matches the criteria of the implementation class.

  Specified by:
    `isMethodMatch` in interface `StaticMethodInvocation`
  Parameters:
    `methodName` - the static method name
  Returns:
    result of criteria match test

### invoke

    public abstract Object invoke(Class clazz,
                                  String methodName,
                                  Object[] arguments)

  Description copied from interface: `StaticMethodInvocation`

  Invokes the actual method. The class, method name and arguments are provided. If no arguments are passed the argument array is empty.

  Specified by:
    `invoke` in interface `StaticMethodInvocation`
  Parameters:
    `clazz` - the class the static method is called on
    `methodName` - the static method name
    `arguments` - the arguments supplied
  Returns:
    the return value of the static method invocation

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project